From: "Michael Yang" <michaelzcyang@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: app-misc/clifm/
Date: Sat, 27 Aug 2022 21:34:15 +0000 (UTC) [thread overview]
Message-ID: <1661635519.8619a7f7752bb3cc411ca2512cb32fbe3ccdcc23.michaelzcyang@gentoo> (raw)
commit: 8619a7f7752bb3cc411ca2512cb32fbe3ccdcc23
Author: Michael Yang <michaelzcyang <AT> gmail <DOT> com>
AuthorDate: Sat Aug 27 21:25:07 2022 +0000
Commit: Michael Yang <michaelzcyang <AT> gmail <DOT> com>
CommitDate: Sat Aug 27 21:25:19 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8619a7f7
app-misc/clifm: add 1.7
Signed-off-by: Michael Yang <michaelzcyang <AT> gmail.com>
app-misc/clifm/Manifest | 1 +
app-misc/clifm/clifm-1.7.ebuild | 57 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/app-misc/clifm/Manifest b/app-misc/clifm/Manifest
index a7bb68a4e..6ff4bc8c7 100644
--- a/app-misc/clifm/Manifest
+++ b/app-misc/clifm/Manifest
@@ -1 +1,2 @@
DIST clifm-1.6.tar.gz 1268633 BLAKE2B de36f0d3bc1c6584471d313f346a9db77f659b4fde41775e45c78066db12aff8bf33a58b3c5d0f9cd43800cf823f0508c2abb5c88ff50a28147aec5c7e7178df SHA512 a8f6b73070779d0d49b41109bee1b418cb6eb4fb1ac8e684cf859e1137336df2655ddfb5107b50674a5380364f572fe47cc72f58c25c4ff6439593b411a5f69e
+DIST clifm-1.7.tar.gz 1310379 BLAKE2B d37e5f4d013c7a7c8427993aa0ff187bac33cb8a89b75b368ce77eb11cbb3275f5cfabec1037e0b3052471633e763d22a7debe019c75ae6098f44cda0e9f7d70 SHA512 30bdc33090846b82edb2cf6372ca3515806f85261405476518d9b5cb1f9dc22e513263cac70f7d93bb85e6489b1486868964b1719637c1b317ce491b5734c453
diff --git a/app-misc/clifm/clifm-1.7.ebuild b/app-misc/clifm/clifm-1.7.ebuild
new file mode 100644
index 000000000..826248a0c
--- /dev/null
+++ b/app-misc/clifm/clifm-1.7.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="The command line file manager"
+HOMEPAGE="https://github.com/leo-arch/clifm"
+
+inherit optfeature xdg
+
+if [[ ${PV} == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/leo-arch/clifm.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/leo-arch/clifm/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ # also on sourceforge but the unpacked name is irregular
+ # SRC_URI="mirror://sourceforge/${PN}/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+DEPEND="
+ sys-libs/libcap
+ sys-libs/readline:=
+ sys-apps/acl
+ sys-apps/file
+"
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+src_compile() {
+ # makefile defaults to /usr/local
+ emake PREFIX="/usr" || die "make failed"
+}
+
+src_install() {
+ docompress -x /usr/share/man # makefile compresses man page
+ # makefile defaults to /usr/local, and manpages to /usr/man
+ emake DESTDIR="${D}" PREFIX="/usr" MANDIR="/usr/share/man" install || die "install failed"
+ einstalldocs
+}
+
+pkg_postinst() {
+ optfeature_header "Install additional optional functionality:"
+ optfeature "fzf tab completion and more" app-shells/fzf
+ optfeature "mounting/unmounting support" sys-fs/udisks sys-apps/udevil
+ optfeature_header "Install optional archiving support (if you didn't use -D_NO_ARCHIVING):"
+ optfeature "zstd operations" app-arch/zstd
+ optfeature "archive extraction/unpacking" app-arch/atool
+ optfeature "mounting archives" sys-fs/archivemount
+ optfeature "extracting .iso files" app-arch/p7zip
+ optfeature "creating .iso files" app-cdr/cdrtools
+ xdg_pkg_postinst
+}
next reply other threads:[~2022-08-28 0:00 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-08-27 21:34 Michael Yang [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-05 8:22 [gentoo-commits] repo/proj/guru:dev commit in: app-misc/clifm/ Michael Yang
2024-01-07 8:29 Michael Yang
2023-09-16 8:24 Michael Yang
2022-08-08 21:06 Michael Yang
2022-08-02 22:12 Michael Yang
2022-07-29 22:27 Michael Yang
2022-07-29 21:43 Michael Yang
2022-07-29 19:19 Michael Yang
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1661635519.8619a7f7752bb3cc411ca2512cb32fbe3ccdcc23.michaelzcyang@gentoo \
--to=michaelzcyang@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox